org.eclipse.rdf4j.sail.evaluation

## Enum TupleFunctionEvaluationMode

- java.lang.Object
- - java.lang.Enum<TupleFunctionEvaluationMode>
  - - org.eclipse.rdf4j.sail.evaluation.TupleFunctionEvaluationMode

- All Implemented Interfaces:
    Serializable, Comparable<TupleFunctionEvaluationMode>

      public enum TupleFunctionEvaluationMode
      extends Enum<TupleFunctionEvaluationMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NATIVE` Assumes the base SAIL supports an extended query algebra (e.g.
    `SERVICE` Uses the base SAIL along with an embedded SERVICE to perform query evaluation.
    `TRIPLE_SOURCE` Treats the base SAIL as a simple triple source and all the query evaluation is performed by this SAIL.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TupleFunctionEvaluationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TupleFunctionEvaluationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERVICE

          public static final TupleFunctionEvaluationMode SERVICE

      Uses the base SAIL along with an embedded SERVICE to perform query evaluation. The SERVICE is used to evaluate extended query algebra nodes such as `TupleFunction`s. (Default).

    - #### NATIVE

          public static final TupleFunctionEvaluationMode NATIVE

      Assumes the base SAIL supports an extended query algebra (e.g. `TupleFunction`s) and use it to perform all query evaluation.

    - #### TRIPLE_SOURCE

          public static final TupleFunctionEvaluationMode TRIPLE_SOURCE

      Treats the base SAIL as a simple triple source and all the query evaluation is performed by this SAIL.

  - ### Method Detail

    - #### values

          public static TupleFunctionEvaluationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TupleFunctionEvaluationMode c : TupleFunctionEvaluationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TupleFunctionEvaluationMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.